Delete webhook
curl --request DELETE \
--url https://faisalshop.mvp-apps.ae/api/v2/admin/webhooks/{tenantId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://faisalshop.mvp-apps.ae/api/v2/admin/webhooks/{tenantId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://faisalshop.mvp-apps.ae/api/v2/admin/webhooks/{tenantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
Delete Webhook
DELETE
/
api
/
v2
/
admin
/
webhooks
/
{tenantId}
Delete webhook
Overview
Unsubscribe from webhook events. This will stop sending notifications to your webhook URL.Authorization
- User must be authenticated with a valid Bearer token
- User must have ADMIN role in the tenant
Important Notes
- Deleting a webhook is permanent
- In-flight deliveries may still be attempted
- Historical delivery records are preserved
Example Usage
curl -X DELETE \
https://faisalshop.mvp-apps.ae/api/v2/admin/webhooks/123 \
-H 'Authorization: Bearer YOUR_TOKEN'
await axios.delete(
`/api/v2/admin/webhooks/${tenantId}`,
{
headers: {
Authorization: `Bearer ${token}`
}
}
);
⌘I